%define name 915resolution
%define version 0.5.3
%define release 5.sl4

Summary: 	A tool to force resolution of Intel 9xx video Card
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Packager: 	Urs Beyerle <urs.beyerle@psi.ch>
Vendor: 	PSI
Source0: 	http://www.geocities.com/stomljen/%{name}-%{version}.tar.gz
Source1: 	915resolution.init
Source2: 	915resolution.sysconfig
Patch0:		915resolution-965GM.patch
License: 	Public Domain
Group: 		System/Utilities
Url: 		http://www.geocities.com/stomljen/
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
915resolution is a tool to modify the video BIOS of the 800 and 900 series
Intel graphics chipsets. This includes the 845G, 855G, and 865G chipsets, as
well as 915G, 915GM, and 945G chipsets. This modification is necessary to
allow the display of certain graphics resolutions for an Xorg or XFree86
graphics server.

915resolution's modifications of the BIOS are transient. There is no risk of
permanent modification of the BIOS. This also means that 915resolution must be
run every time the computer boots inorder for it's changes to take effect.

915resolution is derived from the tool 855resolution. However, the code differs
substantially. 915resolution's code base is much simpler. 915resolution also
allows the modification of bits per pixel.

%prep
%setup0 -q
%patch0 -p1 -b .965G

%build
%{__make} clean
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__install} -D -m 755 915resolution $RPM_BUILD_ROOT/%{_sbindir}/915resolution
%{__install} -D -m 755 %{SOURCE1} $RPM_BUILD_ROOT/%{_initrddir}/915resolution

%{__mkdir_p} $RPM_BUILD_ROOT/etc/sysconfig/
%{__install} -D -m 755 %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/915resolution

cat > $RPM_BUILD_ROOT/etc/sysconfig/915resolution <<'EOF'
BIOS_TYPE=3c
X=1400
Y=1050
EOF

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%post
chkconfig --add 915resolution

%preun
# 0 = erase, 1 = upgrade
if [ $1 -eq 0 ] ; then
    chkconfig --del 915resolution
fi

%files
%defattr(-,root,root)
%doc LICENSE.txt README.txt
%{_sbindir}/915resolution
%{_initrddir}/915resolution
%config(noreplace) /etc/sysconfig/915resolution

%changelog
* Tue Sep 27 2007 Urs Beyerle <urs.beyerle@psi.ch> 0.5.3-5
- change post script and 915resolution.init: 915resolution is now not 
  turned off after an update.

* Thu Sep 13 2007 Urs Beyerle <urs.beyerle@psi.ch> 0.5.3-4
- add patch for 965GM, taken from http://gentoo-wiki.com/HARDWARE_HP_Compaq_6710b

* Wed May 23 2007 Urs Beyerle <urs.beyerle@psi.ch> 0.5.3-3.slp5
- fix build on x86_64

* Thu Mar 15 2007 Urs Beyerle <urs.beyerle@psi.ch> 0.5.3-2.slp5
- Update to 0.5.3
- Make 915resolution.init less verbose

* Thu Mar 15 2007 Urs Beyerle <urs.beyerle@psi.ch> 0.5.2-1.sl5.psi
- Build for SL5

* Thu Jun 21 2006 Urs Beyerle <urs.beyerle@psi.ch> 0.5.2-1
- Intial build for SL4
